CC     = i386-aros-gcc
CFLAGS = -DAROS

RM     = rm -f
CP     = cp
VER    = 2.41
ARCH   = frotz_AROS-$(VER).tar.bz2


SOBJ = amiga_stdio.o
OBJS = buffer.o err.o fastmem.o files.o getopt.o hotkey.o input.o \
       main.o math.o object.o process.o quetzal.o random.o redirect.o screen.o \
       sound.o stream.o table.o text.o variable.o 

frotz: $(OBJS) $(SOBJ)
	$(CC) $(OBJS) $(SOBJ) -o frotz

clean:
	$(RM) *.o frotz

dist: frotz
	$(CP) frotz ..
	@make clean
	if [ -f $(ARCH) ];  \
		then rm $(ARCH); \
	fi


	tar -cjf $(ARCH) -C ../.. --exclude $(ARCH) Frotz-$(VER)
